Bug 830660 - error: 'PyInt_FromSize_t' was not declared in this scope
error: 'PyInt_FromSize_t' was not declared in this scope
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: swig (Show other bugs)
17
Unspecified Linux
urgent Severity urgent
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 02:53 EDT by Mattias Ellert
Modified: 2013-04-30 19:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:24:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Debian patch (751 bytes, patch)
2012-06-11 02:53 EDT, Mattias Ellert
no flags Details | Diff

  None (edit)
Description Mattias Ellert 2012-06-11 02:53:58 EDT
Created attachment 590831 [details]
The Debian patch

Description of problem:

When compiling swig generated python wrappers for python 3 the compilation fails with:

error: 'PyInt_FromSize_t' was not declared in this scope

Version-Release number of selected component (if applicable):

swig-2.0.7-1.fc17
swig-2.0.7-1.fc18

How reproducible:

Always

Additional info:

The swig package in Debian has applied a patch for this issue:

http://patch-tracker.debian.org/patch/series/view/swig2.0/2.0.7-2/pyint_fromsize_t.diff
Comment 1 Fedora Update System 2012-06-27 11:25:40 EDT
swig-2.0.7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/swig-2.0.7-3.fc17
Comment 2 Fedora Update System 2012-06-27 23:31:41 EDT
Package swig-2.0.7-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing swig-2.0.7-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9999/swig-2.0.7-3.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-07-17 13:24:13 EDT
swig-2.0.7-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.